#!/bin/sh
write_lock_was_enabled=false
write_lock_file="/var/tmp/config_write_forbidden"

if test -f "$write_lock_file"; then
    rm -f "$write_lock_file"
    write_lock_was_enabled=true
fi

cnt=$(ctlmgr_ctl r umts settings/backup_downtime)
ctlmgr_ctl w umts settings/backup_downtime $((cnt + 1)) || true
ctlmgr_ctl w umts settings/backup_downtime $cnt || true

if [ "$write_lock_was_enabled" = true ] ; then
    touch "$write_lock_file"
fi
